# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/1
@desc: 
"""
from entitys import DataSplitEntity, DataProcessConfigEntity
from feature.strategy_iv import StrategyIv

if __name__ == "__main__":
    import scorecardpy as sc
    dat = sc.germancredit()
    dat["creditability"] = dat["creditability"].apply(lambda x: 1 if x == "bad" else 0)
    data = DataSplitEntity(dat[:700], None, dat[700:])
    strategy = StrategyIv(DataProcessConfigEntity.from_config('./config/data_process_config_template.json'))
    strategy.filter(data)